Subject: bug#26: Consistent underline face end of line to edge extension on X

From: Stefan Monnier <[email-masked]>
Date: Sun, 02 Mar 2008 21:25:50 -0500

> On X displays, when an overlay's face has underline (or overstrike
> or strikethrough) set, when it crosses line end, it is only extended
> to window edge when a background different to the frame background is
> also set in the face.  This is different behaviour to terminal displays.

I understand that in your case you use underline as a way to "draw
a line" so you want the line to extend to the window-edge, but when the
underline is really meant as "this text should be underlined", extending
the underline to the window-edge is truly ugly.

        Stefan